Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-9321

Document package latest enablerepos feature

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Accepted
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Docs
    • Labels:
    • Template:
    • Team:
      Night's Watch

      Description

      https://docs.puppet.com/puppet/latest/reference/type.html#package

      is missing a description that if you use --enablerepos it needs to be done as a hash. I was only able to find out by looking at the code

      Works:

        package {
          $package:
            install_options => { '--enablerepo' => "custom-repo-x86_64"},
            ensure => latest;
        }
      

      Does not work with ensure => latest because puppet does not know to enable repos while checking to see if there is a newer version

        package {
          $package:
            install_options => '--enablerepo=custom-repo-x86_64'},
            ensure => latest;
         }
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              clasater Christopher Lasater
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:

                  Zendesk Support